Bug 1428897 - Custom Attributes in WebUI Change Order as Created / Updated - Not sorted
Summary: Custom Attributes in WebUI Change Order as Created / Updated - Not sorted
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.2
Assignee: Milan Zázrivec
QA Contact: Dmitry Misharov
URL:
Whiteboard: ui:general
Depends On: 1415300
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-03 15:04 UTC by Satoe Imaishi
Modified: 2017-04-12 14:41 UTC (History)
7 users (show)

Fixed In Version: 5.7.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1415300
Environment:
Last Closed: 2017-04-12 14:41:44 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0898 0 normal SHIPPED_LIVE Moderate: cfme, cfme-appliance, and cfme-gemset security, bug fix, and enhancement update 2017-04-12 18:31:08 UTC

Comment 2 CFME Bot 2017-03-03 16:00:57 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/609b223e250af3c9feee8caa19c6ee929df76a4a

commit 609b223e250af3c9feee8caa19c6ee929df76a4a
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Thu Jan 26 12:17:24 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Mar 3 10:56:18 2017 -0500

    Merge pull request #228 from mzazrivec/sort_custom_attributes_by_name
    
    Sort custom attributes by attribute name
    (cherry picked from commit 80241bf7994ca5ef36f66bd7597a75a2be504a0a)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1428897

 app/helpers/ems_container_helper/textual_summary.rb | 2 +-
 app/helpers/host_helper/textual_summary.rb          | 4 ++--
 app/helpers/service_helper/textual_summary.rb       | 2 +-
 app/helpers/vm_cloud_helper/textual_summary.rb      | 4 ++--
 app/helpers/vm_helper/textual_summary.rb            | 4 ++--
 5 files changed, 8 insertions(+), 8 deletions(-)

Comment 3 Dmitry Misharov 2017-03-28 08:34:57 UTC
Verified in 5.7.2.0.20170321181409_349f1b1. Custom attributes sorted by name.

Comment 4 errata-xmlrpc 2017-04-12 14:41:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0898


Note You need to log in before you can comment on or make changes to this bug.